//Copyright (C)2014-2023 GOWIN Semiconductor Corporation.
//All rights reserved.
//File Title: Timing Constraints file
//GOWIN Version: 1.9.9 Beta-3
//Created Time: 2023-08-20 16:57:16
create_clock -name hclk -period 20 -waveform {0 10} [get_ports {HCLK}]
create_clock -name jtag_9 -period 200 -waveform {0 100} [get_ports {JTAG_9}]
create_clock -name spi_w_clk -period 20 -waveform {0 10} [get_nets {u_Gowin_EMPU_M1_Top/u_GowinCM1AhbExtWrapper/u_GowinCM1AhbExt/u_spi1/u_spi_spiif/spi_w_clk_slv_20}]
set_clock_groups -exclusive -group [get_clocks {hclk}] -group [get_clocks {jtag_9}] -group [get_clocks {spi_w_clk}]
set_operating_conditions -grade c -model slow -speed 2 -setup -hold
