//Copyright (C)2014-2023 Gowin Semiconductor Corporation.
//All rights reserved.
//File Title: Template file for instantiation
//GOWIN Version: V1.9.9 Beta-3
//Part Number: GW5AST-LV138FPG676AES
//Device: GW5AST-138
//Device Version: B
//Created Time: Sun Aug 20 16:48:54 2023

//Change the instance name and port connections to the signal names
//--------Copy here to design--------

	Gowin_AHB_Arbiter_Top your_instance_name(
		.HCLK(HCLK_i), //input HCLK
		.HRESETn(HRESETn_i), //input HRESETn
		.MHSELS0(MHSELS0_i), //input MHSELS0
		.MHADDRS0(MHADDRS0_i), //input [31:0] MHADDRS0
		.MHTRANSS0(MHTRANSS0_i), //input [1:0] MHTRANSS0
		.MHWRITES0(MHWRITES0_i), //input MHWRITES0
		.MHSIZES0(MHSIZES0_i), //input [2:0] MHSIZES0
		.MHBURSTS0(MHBURSTS0_i), //input [2:0] MHBURSTS0
		.MHPROTS0(MHPROTS0_i), //input [3:0] MHPROTS0
		.MHMASTERS0(MHMASTERS0_i), //input [3:0] MHMASTERS0
		.MHWDATAS0(MHWDATAS0_i), //input [31:0] MHWDATAS0
		.MHMASTLOCKS0(MHMASTLOCKS0_i), //input MHMASTLOCKS0
		.MHREADYS0(MHREADYS0_i), //input MHREADYS0
		.MHRDATAS0(MHRDATAS0_o), //output [31:0] MHRDATAS0
		.MHREADYOUTS0(MHREADYOUTS0_o), //output MHREADYOUTS0
		.MHRESPS0(MHRESPS0_o), //output [1:0] MHRESPS0
		.SHRDATAM0(SHRDATAM0_i), //input [31:0] SHRDATAM0
		.SHREADYOUTM0(SHREADYOUTM0_i), //input SHREADYOUTM0
		.SHRESPM0(SHRESPM0_i), //input [1:0] SHRESPM0
		.SHSELM0(SHSELM0_o), //output SHSELM0
		.SHADDRM0(SHADDRM0_o), //output [31:0] SHADDRM0
		.SHTRANSM0(SHTRANSM0_o), //output [1:0] SHTRANSM0
		.SHWRITEM0(SHWRITEM0_o), //output SHWRITEM0
		.SHSIZEM0(SHSIZEM0_o), //output [2:0] SHSIZEM0
		.SHBURSTM0(SHBURSTM0_o), //output [2:0] SHBURSTM0
		.SHPROTM0(SHPROTM0_o), //output [3:0] SHPROTM0
		.SHMASTERM0(SHMASTERM0_o), //output [3:0] SHMASTERM0
		.SHWDATAM0(SHWDATAM0_o), //output [31:0] SHWDATAM0
		.SHMASTLOCKM0(SHMASTLOCKM0_o), //output SHMASTLOCKM0
		.SHREADYMUXM0(SHREADYMUXM0_o) //output SHREADYMUXM0
	);

//--------Copy end-------------------
